package com.platform.yijia.controller;

import com.google.gson.Gson;
import com.platform.yijia.param.request.AppUserInfoRequest;
import com.platform.yijia.param.request.StationRequest;

import com.platform.yijia.pojo.AppUserInfo;
import com.platform.yijia.service.AppUserInfoService;
import com.platform.yijia.utils.CodeMsg;
import com.platform.yijia.utils.ResultData;
import org.apache.commons.lang3.StringUtils;
import org.apache.logging.log4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

public class AppUserInfoController {
    private static Logger logger =(Logger) LoggerFactory.getLogger(PayController.class);
    @Resource
    private AppUserInfoService appUserInfoService;

    /**
     * 添加用户信息
     * @param request
     * @return
     */
    @RequestMapping(value = "/addAppUserInfo", method = RequestMethod.POST)
    @ResponseBody
    public String addAppUserInfo(@RequestBody AppUserInfoRequest request){
        Gson gson =new Gson();
        ResultData resultData=null;
        AppUserInfo appUserInfo =new AppUserInfo();
        if(request.getUserType()!=null){
            if(request.getUserType().equals("1") &&StringUtils.isNotBlank(request.getBlogOpenid())&&StringUtils.isNotBlank(request.getBlogToken())){
                appUserInfo.setUserType(request.getUserType());
                appUserInfo.setBlogToken(request.getBlogToken());
                appUserInfo.setBlogOpenid(request.getBlogOpenid());
            }else if(request.getUserType().equals("2") &&StringUtils.isNotBlank(request.getMinaOpenid())&&StringUtils.isNotBlank(request.getMinaToken())){
                appUserInfo.setUserType(request.getUserType());
                appUserInfo.setMinaToken(request.getMinaToken());
                appUserInfo.setMinaOpenid(request.getMinaOpenid());
            }

        }
        if(StringUtils.isNotBlank(request.getBlogNickName())){
            appUserInfo.setBlogNickName(request.getBlogNickName());
        }
        if(StringUtils.isNotBlank(request.getMobilePhone())){
            appUserInfo.setMobilePhone(request.getMobilePhone());
        }
        if(StringUtils.isNotBlank(request.getBlogProfilePhoto())){
            appUserInfo.setBlogProfilePhoto(request.getBlogProfilePhoto());
        }
//        if(StringUtils.isNotBlank(request.getRegisteDate())){
//            appUserInfo.setRegisteDate(request.getRegisteDate());
//        }
//        if(StringUtils.isNotBlank(request.getUpdateDate())){
//            appUserInfo.setUpdateDate(request.getUpdateDate());
//        }
        if(StringUtils.isNotBlank(request.getSexFlag())){
            appUserInfo.setSexFlag(request.getSexFlag());
        }

        try{
            appUserInfoService.AddAppUserInfo(appUserInfo);
            resultData=ResultData.success(CodeMsg.SUCCESS);
        }catch (Exception e){
            resultData=ResultData.error(CodeMsg.INSERT_FAIL);
            e.printStackTrace();
        }
        return gson.toJson(resultData);
    }

}
